Package com.avaya.clientservices.call.conference

## Enum ConferenceRecordingStatus

- java.lang.Object
- - java.lang.Enum<ConferenceRecordingStatus>
  - - com.avaya.clientservices.call.conference.ConferenceRecordingStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ConferenceRecordingStatus>`

      public enum ConferenceRecordingStatus
      extends java.lang.Enum<ConferenceRecordingStatus>

  Enumeration representing the conference recording status.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FAILED` | Recording is failed.
    `OFF` | Recording is off, or is not supported.
    `ON` | Recording is on.
    `PAUSED` | Recording is paused.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConferenceRecordingStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ConferenceRecordingStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final ConferenceRecordingStatus OFF

      Recording is off, or is not supported.

    - #### PAUSED

          public static final ConferenceRecordingStatus PAUSED

      Recording is paused.

    - #### ON

          public static final ConferenceRecordingStatus ON

      Recording is on.

    - #### FAILED

          public static final ConferenceRecordingStatus FAILED

      Recording is failed.

  - ### Method Detail

    - #### values

          public static ConferenceRecordingStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConferenceRecordingStatus c : ConferenceRecordingStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConferenceRecordingStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null